[ERROR] iMSCP::Stepper::_callback: The following PHP modules are not installed or not enabled: apc, apcu

  • Buenas.


    En una instalacion limpiar recibo el siguiente error.

    [ERROR] iMSCP::Stepper::_callback: The following PHP modules are not installed or not enabled: apc, apcu


    Estoy seleccionando php7.1 pero me pasa con php7.0


    Me parece estraño ya que hace unos meses hice una instalacion limpia y no tuve ese problema.


    Debian 9


    Sigo verificando.

  • Si, asi solvente, pero bien extraño antes no me había pasado.

  • Try to change all apcu lines in:

    Code
    1. vi autoinstaller/Packages/debian-stretch.xml

    from for example for php7.0:


    Code
    1. <package post_install_tasks="sh php_apcu.sh 7.0">php-apcu</package>
    2. <package post_install_tasks="sh php_apcu_bc.sh 7.0">php-apcu-bc</package>

    to:

    Code
    1. <package post_install_tasks="sh php_apcu.sh 7.0">php7.0-apcu</package>
    2. <package post_install_tasks="sh php_apcu_bc.sh 7.0">php7.0-apcu-bc</package>
  • for a PHP7.0 setup you can try following

    you need to edit the post install files too!

    Code
    1. nano /autoinstaller/postinstall/php_apcu_bc.sh
    2. ; priority=25
    3. ;extension=apc.so
    4. and
    5. nano /autoinstaller/postinstall/php_apcu.sh
    6. extension=apcu.so
    7. extension=apc.so

    Edited 3 times, last by fulltilt ().